Ubuntu

FFE: Sync xen-api 1.3.2-4 (universe) from Debian unstable (main)

Reported by Mike McClurg on 2012-03-22
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
xen-api (Ubuntu)
Undecided
Unassigned

Bug Description

Please sync xen-api 1.3.2-4 (universe) from Debian unstable (main)

Changelog entries since current precise version 1.3-15:

xen-api (1.3.2-4) unstable; urgency=low

  * Added missing dependency on pciutils.
  * xcp-networkd should have been depending on debconf, not xcp-xapi, this is
  now corrected.
  * Bumped Standard-Version (no change).

 -- Thomas Goirand <email address hidden> Fri, 16 Mar 2012 11:22:14 +0000

xen-api (1.3.2-3) unstable; urgency=low

  * Added /etc/xen as an empty directory for xcp-networkd (Closes: #663352).

 -- Thomas Goirand <email address hidden> Sat, 10 Mar 2012 22:25:05 +0000

xen-api (1.3.2-2) unstable; urgency=low

  * New upstream release.
  * Fixes missing lsb-base dependency needed by all daemons init.d scripts.
  * Init scripts fail gracefully when preconditions not met
  [v 1.3.2-2]
  * xcp-networkd depends on openvswitch-datapath-dkms
  * xcp-networkd.init creates missing network.conf
  * Fix bug in vif hotplug script which prevented vm shutdowns
  [v 1.3.2-1]
  * New upstream feature: networkd.
  * BUG: fix service names in xe-toolstack-restart
  * BUG: fix errors in XenAPI.py
  [v 1.3.1-3]
  * BUG: remove erroneous vif plug patch
  * BUG: fix xe path in xe-mount-iso-sr
  [v 1.3.1-2]
  * Noop: merge package updates 1.3-15 and 1.3.1-1

 -- Thomas Goirand <email address hidden> Wed, 15 Feb 2012 03:14:30 +0000

xen-api (1.3-16) unstable; urgency=low

  * Added missing xen-utils-common dependency (Closes: #655714).
  * Fixed the Vcs fields.
  * Fixed the dh_python2 calls as advised in debian-python@l.d.o.

 -- Thomas Goirand <email address hidden> Fri, 13 Jan 2012 16:49:10 +0000

Daniel Holbach (dholbach) wrote :

CCing Release team on this. Can you please add some information about changes in the upstream versions?

Iain Lane (laney) wrote :

Setting to Incomplete until the requested information is provided. I'd like to see the information from https://wiki.ubuntu.com/FreezeExceptionProcess#FeatureFreeze_for_new_upstream_versions provided, please. There are some reverse dependencies

* nova-compute-xen (for python-xenapi)
* nova-xcp-network (for xcp-xapi)
* nova-xcp-plugins (for xcp-xapi)
* xcp-guest-templates [amd64 i386] (for xcp-xapi)

that it would be good to know still work too.

Please reset the status to New once you are ready for the release team to take a look.

Changed in xen-api (Ubuntu):
status: New → Incomplete
Jamie Strandboge (jdstrand) wrote :

Unsubscribing ubuntu-sponsors for now. Please resubscribe when there is an action to be performed.

Mike McClurg (mike-mcclurg) wrote :

* Why is this necessary:

This package update fixes some packaging bugs, as well as a bug which prevented VMs from shutting down properly. We have also introduced a new upstream change which allows xcp-xapi to make use of Open vSwitch. This was a feature which was highly desired for the Precise release, but was not possible before this upstream change, which is described below.

* Upstream change:

We've moved network management functionality out of xcp-xapi, and into a new daemon process called xcp-networkd. This new binary is distributed in a new binary deb file, but is still part of the original source packagem xen-api. This daemon allows the user to configure his/her virtual networking using either the traditional linux bridging mechanism, or the newer Open vSwitch, which is now the default in XCP and XenServer (from which this package has been ported).

We see this as a major improvement, and we would like to see this make it into Precise. We feel that this package would lack major functionality otherwise. For instance, Open vSwitch is a requirement for OpenStack's Quantum network management software, and this upstream change makes it possible to use OpenStack Quantum with xcp-xapi on Ubuntu as a dom0.

* Reverse dependencies mentioned by Iain in #2:

We have been developing xen-api for Debian/Ubuntu for the purpose of supporting OpenStack on an Ubuntu Xen dom0, so we are confident that this update doesn't break the dependencies of the nova-* packages. xcp-guest-templates is also unaffected by this change.

Changed in xen-api (Ubuntu):
status: Incomplete → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xen-api (Ubuntu):
status: New → Confirmed
Chuck Short (zulcss) on 2012-04-24
summary: - Sync xen-api 1.3.2-4 (universe) from Debian unstable (main)
+ FFE: Sync xen-api 1.3.2-4 (universe) from Debian unstable (main)

On 04/24/2012 08:36 PM, Chuck Short wrote:
> ** Summary changed:
>
> - Sync xen-api 1.3.2-4 (universe) from Debian unstable (main)
> + FFE: Sync xen-api 1.3.2-4 (universe) from Debian unstable (main)
>

Hi Chuck,

You guys would better sync from 1.3.2-5, the only difference in it are
reviewed long and short descriptions, debian/*.templates, and .po
translations, all this thanks to the debian-l18n-english and the work or
bubule...

Cheers,

Thomas

Scott Kitterman (kitterman) wrote :

This bug was fixed in the package xen-api - 1.3.2-5
Sponsored for Chuck Short (zulcss)

---------------
xen-api (1.3.2-5) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #663473
  * [Debconf translation updates]
  * Polish (Michał Kułach). Closes: #665977
  * Russian (Yuri Kozlov). Closes: #665994
  * Danish (Joe Hansen). Closes: #666518
  * Czech (Michal Simunek). Closes: #666551
  * French (Thomas Vincent). Closes: #667549
  * Brazilian Portuguese (Adriano Rafael Gomes). Closes: #668090
  * Italian (Beatrice Torracca). Closes: #668162
  * Spanish; (Camaleón). Closes: #668183
  * German (Chris Leick). Closes: #666712
  * Swedish (Martin Bagge / brother). Closes: #668290
  * Portuguese (Miguel Figueiredo). Closes: #668310
  * Dutch; (Jeroen Schot). Closes: #668527
  * Simplified Chinese (Cao Wei / 曹玮).

 -- Thomas Goirand <email address hidden> Sat, 14 Apr 2012 19:20:40 +0000

xen-api (1.3.2-4) unstable; urgency=low

  * Added missing dependency on pciutils.
  * xcp-networkd should have been depending on debconf, not xcp-xapi, this is
  now corrected.
  * Bumped Standard-Version (no change).

 -- Thomas Goirand <email address hidden> Fri, 16 Mar 2012 11:22:14 +0000

xen-api (1.3.2-3) unstable; urgency=low

  * Added /etc/xen as an empty directory for xcp-networkd (Closes: #663352).

 -- Thomas Goirand <email address hidden> Sat, 10 Mar 2012 22:25:05 +0000

xen-api (1.3.2-2) unstable; urgency=low

  * New upstream release.
  * Fixes missing lsb-base dependency needed by all daemons init.d scripts.
  * Init scripts fail gracefully when preconditions not met
  [v 1.3.2-2]
  * xcp-networkd depends on openvswitch-datapath-dkms
  * xcp-networkd.init creates missing network.conf
  * Fix bug in vif hotplug script which prevented vm shutdowns
  [v 1.3.2-1]
  * New upstream feature: networkd.
  * BUG: fix service names in xe-toolstack-restart
  * BUG: fix errors in XenAPI.py
  [v 1.3.1-3]
  * BUG: remove erroneous vif plug patch
  * BUG: fix xe path in xe-mount-iso-sr
  [v 1.3.1-2]
  * Noop: merge package updates 1.3-15 and 1.3.1-1

 -- Thomas Goirand <email address hidden> Wed, 15 Feb 2012 03:14:30 +0000

xen-api (1.3-16) unstable; urgency=low

  * Added missing xen-utils-common dependency (Closes: #655714).
  * Fixed the Vcs fields.
  * Fixed the dh_python2 calls as advised in debian-python@l.d.o.

 -- Thomas Goirand <email address hidden> Fri, 13 Jan 2012 16:49:10 +0000

Changed in xen-api (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers